import { Host, h } from "@stencil/core";
export class Error {
  constructor() {
    this.message = undefined;
    this.color = "danger";
    this.iconName = "alert-circle-outline";
  }
  render() {
    return (h(Host, { style: {
        display: "flex",
        gap: "10px",
        padding: "5px",
        alignItems: "center",
        justifyContent: "center",
      } }, h("ion-icon", { name: this.iconName, style: { marginRight: "10px" }, color: this.color }), h("h3", { style: { color: `var(--ion-color-${this.color})`, margin: "0" }, class: "ion-text-wrap" }, this.message, h("slot", null))));
  }
  static get is() { return "floodteam-error"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["error.css"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["error.css"]
    };
  }
  static get properties() {
    return {
      "message": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "The error message to display"
        },
        "attribute": "message",
        "reflect": false
      },
      "color": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "The color of the component"
        },
        "attribute": "color",
        "reflect": false,
        "defaultValue": "\"danger\""
      },
      "iconName": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "The icon to use"
        },
        "attribute": "icon-name",
        "reflect": false,
        "defaultValue": "\"alert-circle-outline\""
      }
    };
  }
}
